Package com.verisign.epp.codec.idntable

## Class EPPIdnTableDomainLabel

- java.lang.Object
- - com.verisign.epp.codec.idntable.EPPIdnTableDomainLabel

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPIdnTableDomainLabel
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPIdnTableDomainLabel` is used to represent a domain name label used in the Domain Check Form and the Domain Info Form. The domain label consists of the domain name plus an optional "form" attribute that defines whether the domain name is an A-label or U-label, with the default being A-label.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EPPIdnTableDomainLabel.Form` | Label form types, that include: `A_LABEL` A-label domain name label. `U_LABEL` U-label domain name label.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPIdnTableDomainLabel`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPIdnTableDomainLabel`.
    `static java.lang.String` | `FORM_A_LABEL` |
    `static java.lang.String` | `FORM_U_LABEL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPIdnTableDomainLabel()` | Default constructor for `EPPIdnTableDomainLabel`.
    `EPPIdnTableDomainLabel​(java.lang.String aDomain)` | Constructor for `EPPIdnTableDomainLabel` that takes the domain name.
    `EPPIdnTableDomainLabel​(java.lang.String aDomain, EPPIdnTableDomainLabel.Form aForm)` | Constructor for `EPPIdnTableDomainLabel` that takes the domain name and the form.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | clone an `EPPCodecComponent`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | encode instance into a DOM element tree.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPIdnTableDomainLabel` with this instance.
    `java.lang.String` | `getDomain()` | Returns the domain name.
    `EPPIdnTableDomainLabel.Form` | `getForm()` | Gets the form of the domain name that should be either `Form.A_LABEL` or }Form.U_LABEL}.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setDomain​(java.lang.String aDomain)` | Sets the domain name.
    `void` | `setForm​(EPPIdnTableDomainLabel.Form aForm)` | Sets the form of the domain name that should be either `Form.A_LABEL` or `Form.U_LABEL`.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPIdnTableDomainLabel`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPIdnTableDomainLabel`.
      See Also:
        Constant Field Values

    - #### FORM_A_LABEL

          public static final java.lang.String FORM_A_LABEL

      See Also:
        Constant Field Values

    - #### FORM_U_LABEL

          public static final java.lang.String FORM_U_LABEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIdnTableDomainLabel

          public EPPIdnTableDomainLabel()

      Default constructor for `EPPIdnTableDomainLabel`.

    - #### EPPIdnTableDomainLabel

          public EPPIdnTableDomainLabel​(java.lang.String aDomain)

      Constructor for `EPPIdnTableDomainLabel` that takes the domain name.
      Parameters:
        `aDomain` - Domain name

    - #### EPPIdnTableDomainLabel

          public EPPIdnTableDomainLabel​(java.lang.String aDomain,
                                        EPPIdnTableDomainLabel.Form aForm)

      Constructor for `EPPIdnTableDomainLabel` that takes the domain name and the form.
      Parameters:
        `aDomain` - Domain name
        `aForm` - Either `Form.A_LABEL` or `Form.U_LABEL`

  - ### Method Detail

    - #### getDomain

          public java.lang.String getDomain()

      Returns the domain name.
      Returns:
        Domain name if defined: `null` otherwise.

    - #### setDomain

          public void setDomain​(java.lang.String aDomain)

      Sets the domain name.
      Parameters:
        `aDomain` - Domain name

    - #### getForm

          public EPPIdnTableDomainLabel.Form getForm()

      Gets the form of the domain name that should be either `Form.A_LABEL` or }Form.U_LABEL}.
      Returns:
        Either `Form.A_LABEL` or `Form.U_LABEL`

    - #### setForm

          public void setForm​(EPPIdnTableDomainLabel.Form aForm)

      Sets the form of the domain name that should be either `Form.A_LABEL` or `Form.U_LABEL`.
      Parameters:
        `aForm` - Either `Form.A_LABEL` or `Form.U_LABEL`

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPIdnTableDomainLabel`

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPIdnTableDomainLabel`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPIdnTableDomainLabel` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.